package de.ivu.elect.interfaces.core;

import java.io.Serializable;
import java.util.Date;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class WahlhelferEinsatz implements Serializable {

  private static final long serialVersionUID = 1L;

  @XmlElement(required = true)
  private WahlhelferEinsatzOrtReferenz wahlhelfereinsatzortReferenz;

  @XmlElement(required = true)
  private WahlhelferEinsatzStatus wahlhelfereinsatzStatus;

  @XmlElement(required = true)
  private WahlhelferRolle wahlhelferRolle;

  @XmlElement(required = true)
  private WahlhelferSchicht schicht = WahlhelferSchicht.KEINE;

  @XmlElement(required = true)
  private AufenthaltStatus aufenthaltStatus;

  @XmlElement(required = false)
  private Date aufenthaltZeitpunkt;

  @XmlElement(required = false)
  private Date benachrichtigtAm;

  @XmlElement(required = true)
  private Long position;

  @XmlElement(required = true)
  private StichwahlEinsatz stichwahlEinsatz;

  public WahlhelferEinsatzOrtReferenz getWahlhelfereinsatzortReferenz() {
    return wahlhelfereinsatzortReferenz;
  }

  public void setWahlhelfereinsatzortReferenz(WahlhelferEinsatzOrtReferenz wahlhelfereinsatzortReferenz) {
    this.wahlhelfereinsatzortReferenz = wahlhelfereinsatzortReferenz;
  }

  public WahlhelferEinsatzStatus getWahlhelfereinsatzStatus() {
    return wahlhelfereinsatzStatus;
  }

  public void setWahlhelfereinsatzStatus(WahlhelferEinsatzStatus wahlhelfereinsatzStatus) {
    this.wahlhelfereinsatzStatus = wahlhelfereinsatzStatus;
  }

  public WahlhelferRolle getWahlhelferRolle() {
    return wahlhelferRolle;
  }

  public void setWahlhelferRolle(WahlhelferRolle wahlhelferRolle) {
    this.wahlhelferRolle = wahlhelferRolle;
  }

  public WahlhelferSchicht getSchicht() {
    return schicht;
  }

  public void setSchicht(WahlhelferSchicht schicht) {
    this.schicht = schicht;
  }

  public AufenthaltStatus getAufenthaltStatus() {
    return aufenthaltStatus;
  }

  public void setAufenthaltStatus(AufenthaltStatus aufenthaltStatus) {
    this.aufenthaltStatus = aufenthaltStatus;
  }

  public Date getAufenthaltZeitpunkt() {
    return aufenthaltZeitpunkt;
  }

  public void setAufenthaltZeitpunkt(Date aufenthaltZeitpunkt) {
    this.aufenthaltZeitpunkt = aufenthaltZeitpunkt;
  }

  public Date getBenachrichtigtAm() {
    return benachrichtigtAm;
  }

  public void setBenachrichtigtAm(Date benachrichtigtAm) {
    this.benachrichtigtAm = benachrichtigtAm;
  }

  public Long getPosition() {
    return position;
  }

  public void setPosition(Long position) {
    this.position = position;
  }

  public StichwahlEinsatz getStichwahlEinsatz() {
    return stichwahlEinsatz;
  }

  public void setStichwahlEinsatz(StichwahlEinsatz stichwahlEinsatz) {
    this.stichwahlEinsatz = stichwahlEinsatz;
  }
}
